org.jgrapht.alg

## Class TransitiveClosure

- java.lang.Object
- - org.jgrapht.alg.TransitiveClosure

-     public class TransitiveClosure
      extends Object

  Constructs the transitive closure of the input graph.
  Since:
    May 5, 2007
  Author:
    Vinayak R. Borkar

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransitiveClosure` | `INSTANCE` Singleton instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V,E> void` | `closeSimpleDirectedGraph(SimpleDirectedGraph<V,E> graph)` Computes the transitive closure of the given graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final TransitiveClosure INSTANCE

      Singleton instance.

  - ### Method Detail

    - #### closeSimpleDirectedGraph

          public <V,E> void closeSimpleDirectedGraph(SimpleDirectedGraph<V,E> graph)

      Computes the transitive closure of the given graph.
      Parameters:
        `graph` - - Graph to compute transitive closure for.

Copyright © 2016. All rights reserved.